Page MenuHomePhabricator

Make arrows/carets links whenever we know where the user came from
Closed, ResolvedPublic5 Story Points

Description

Motivation
When Wikipedia readers jumped down to the references section by clicking on a footnote indicator, the major jump mark (arrow or caret) should work, if we know where users came from. If they reached the section by clicking on a footnote indicator, it should thus lead them back to that footnote indicator.

Acceptance Criteria
GIVEN I am on an article page
AND a footnote is mentioned multiple times
WHEN I click on its second mention
AND then on the arrow preceding the footnote
THEN the page jumps back to my reading position.

GIVEN I am on an article page
AND a footnote is mentioned multiple times
WHEN I scroll down to the references section
AND I click on the arrow preceding the footnote
THEN nothing happens.

  • The arrow is already clickable if there is just one mention to it. The change is that is now is always clickable if we know where the user came from
  • The arrow is the de-wiki implementation of the major jump mark. In de-wiki it is a caret (^), and the symbol used should stay to whichever the community decided on.

Mock:
(just to remember where the arrow is that we are talking about)

Notes

  • All of this will be handled through javascript.

Event Timeline

Lea_WMDE triaged this task as Normal priority.Sep 24 2018, 12:16 PM
Lea_WMDE created this task.
Restricted Application added a project: TCB-Team. · View Herald TranscriptOct 5 2018, 1:12 PM
thiemowmde moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-11-06 board.

Change 474646 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/Cite@master] Make arrows/carets links whenever we know where the user came from

https://gerrit.wikimedia.org/r/474646

thiemowmde removed thiemowmde as the assignee of this task.Nov 19 2018, 9:27 AM
thiemowmde moved this task from Doing to Sprint Backlog on the WMDE-QWERTY-Sprint-2018-11-06 board.
thiemowmde added a subscriber: thiemowmde.
WMDE-Fisch moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-11-06 board.

Change 474737 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/Cite@master] Add browser tests for linking the main backlink

https://gerrit.wikimedia.org/r/474737

Change 474646 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Make arrows/carets links whenever we know where the user came from

https://gerrit.wikimedia.org/r/474646

Can be tested on beta e.g. here: https://de.wikipedia.beta.wmflabs.org/wiki/Tacrin?purge=now ( cache might still hinder the feature from working that's why I applied the purge parameter. )

Change 474737 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Add browser tests for linking the main backlink

https://gerrit.wikimedia.org/r/474737

Lea_WMDE closed this task as Resolved.Nov 22 2018, 11:33 AM
Lea_WMDE moved this task from Demo to Done on the WMDE-QWERTY-Sprint-2018-11-06 board.